设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 26|回复: 1

[求助] 用VB.net开发AutoCAD连接Access数据库时出错,求助各位大神

[复制链接]

签到天数: 11 天

连续签到: 3 天

[LV.3]偶尔看看II

已领礼包: 1个

财富等级: 恭喜发财

发表于 5 天前 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
Imports Autodesk.AutoCAD.ApplicationServices '定义和注册新的AutoCAD命令
Imports Autodesk.AutoCAD.DatabaseServices '组成AutoCAD图形数据库的元素
Imports Autodesk.AutoCAD.Runtime '提供系统级别的功能,如DLL初始化和运行时类的注册与确认
Imports Autodesk.AutoCAD.EditorInput '提供与用户交互有关的类
Imports Autodesk.AutoCAD.Colors '与颜色有关的类
Imports Autodesk.AutoCAD.Windows '访问AutoCad中的对话框、面板、托盘、状态栏等
Imports Autodesk.AutoCAD.Geometry '用来执行2D或3D几何操作
Imports System.IO
Imports LAcadApp = Autodesk.AutoCAD.ApplicationServices.Application
Public Class LClass_Business
    <CommandMethod("LInitialization")>
    Public Sub LCreateLayer() '创建图层
        Dim LlayerName As String = "abc"
        Dim LlayerColor As Color = Color.FromColorIndex(ColorMethod.ByColor, 120) '通过颜色索引值定义颜色
        Dim db As Database = HostApplicationServices.WorkingDatabase '当前工作CAD

        Dim AcsConStr As String
        Dim AcsCon As New ADODB.Connection
        Dim SqlRs As New ADODB.Recordset
        Dim i As Long

        AcsConStr = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & My.Application.Info.DirectoryPath & "\DATA\Config.mdb;Persist Security Info=False;Jet OLEDB:Database Password=cnpccei"
        Try
            AcsCon.Open(AcsConStr)
            SqlRs.Open("select * from Layers", AcsCon, ADODB.CursorTypeEnum.adOpenStatic, ADODB.LockTypeEnum.adLockOptimistic)
            i = SqlRs.RecordCount
            LlayerName = SqlRs(1).Value
            LlayerColor = SqlRs("LayerColor").Value
            SqlRs.Close()
            AcsCon.Close()
            SqlRs = Nothing
            AcsCon = Nothing
        Catch ex As Exception
            'MsgBox(ex.Message, ex.GetType.ToString(), "打开数据库")
            MsgBox(Err.Description, MsgBoxStyle.OkOnly, "打开数据库链接")
        End Try
end sub

以上代码在执行到AcsCon.Open(AcsConStr)时出错
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

签到天数: 11 天

连续签到: 3 天

[LV.3]偶尔看看II

已领礼包: 1个

财富等级: 恭喜发财

 楼主| 发表于 5 天前 | 显示全部楼层
错误如图                                          
捕获.GIF
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2018-12-11 07:44 , Processed in 0.128206 second(s), 21 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表